import e32

if e32.s60_version_info>=(3,0):
    import imp
    _appswitch = imp.load_dynamic('_appswitch', 'z:\\sys\\bin\\_appswitch.pyd')
    
else:
    import _appswitch

del e32, imp #remove unnecessary names from namespace
from _appswitch import *
del _appswitch

# replaced by C++ function !
#def appname_fg():
#   return application_list(1)[0]

def is_appname_fg(appname):
   return fg_appname()==appname
